Index: graphite-web-calamari/conf/graphite.wsgi.example
===================================================================
--- graphite-web-calamari.orig/conf/graphite.wsgi.example
+++ graphite-web-calamari/conf/graphite.wsgi.example
@@ -1,5 +1,5 @@
 import os, sys
-sys.path.append('/opt/graphite/webapp')
+sys.path.append('/usr/share/graphite/webapp')
 os.environ['DJANGO_SETTINGS_MODULE'] = 'graphite.settings'
 
 import django.core.handlers.wsgi
Index: graphite-web-calamari/MANIFEST.in
===================================================================
--- graphite-web-calamari.orig/MANIFEST.in
+++ graphite-web-calamari/MANIFEST.in
@@ -5,7 +5,6 @@ include check-dependencies.py
 include examples/*
 include conf/*.example
 include webapp/graphite/local_settings.py.example
-include webapp/graphite/thirdparty/pytz/pytz-LICENSE.txt
 recursive-include distro/ *
 recursive-include webapp/graphite/ *.html
 recursive-include webapp/content/ *
Index: graphite-web-calamari/setup.cfg
===================================================================
--- graphite-web-calamari.orig/setup.cfg
+++ graphite-web-calamari/setup.cfg
@@ -1,6 +1,7 @@
 [install]
-prefix = /opt/graphite
-install-lib = %(prefix)s/webapp
+#prefix = /opt/graphite
+#install-lib = %(prefix)s/webapp
+install-data = /usr/share/graphite
 
 [bdist_rpm]
 requires = Django => 1.1.4
Index: graphite-web-calamari/setup.py
===================================================================
--- graphite-web-calamari.orig/setup.py
+++ graphite-web-calamari/setup.py
@@ -54,12 +54,11 @@ setup(
     'graphite.graphlot',
     'graphite.events',
     'graphite.version',
-    'graphite.thirdparty',
-    'graphite.thirdparty.pytz',
   ],
   package_data={'graphite' :
     ['templates/*', 'local_settings.py.example']},
   scripts=glob('bin/*'),
-  data_files=webapp_content.items() + storage_dirs + conf_files + examples,
+  #data_files=webapp_content.items() + storage_dirs + conf_files + examples,
+  data_files=webapp_content.items(),
   **setup_kwargs
 )
Index: graphite-web-calamari/webapp/graphite/cli/parser.py
===================================================================
--- graphite-web-calamari.orig/webapp/graphite/cli/parser.py
+++ graphite-web-calamari/webapp/graphite/cli/parser.py
@@ -12,7 +12,7 @@ WITHOUT WARRANTIES OR CONDITIONS OF ANY
 See the License for the specific language governing permissions and
 limitations under the License."""
 
-from graphite.thirdparty.pyparsing import *
+from pyparsing import *
 
 grammar = Forward()
 
Index: graphite-web-calamari/webapp/graphite/local_settings.py.example
===================================================================
--- graphite-web-calamari.orig/webapp/graphite/local_settings.py.example
+++ graphite-web-calamari/webapp/graphite/local_settings.py.example
@@ -55,6 +55,7 @@
 # Change only GRAPHITE_ROOT if your install is merely shifted from /opt/graphite
 # to somewhere else
 #GRAPHITE_ROOT = '/opt/graphite'
+GRAPHITE_ROOT = '/usr/share/graphite'
 
 # Most installs done outside of a separate tree such as /opt/graphite will only
 # need to change these three settings. Note that the default settings for each
@@ -62,13 +63,16 @@
 #CONF_DIR = '/opt/graphite/conf'
 #STORAGE_DIR = '/opt/graphite/storage'
 #CONTENT_DIR = '/opt/graphite/webapp/content'
+CONF_DIR = '/etc/graphite'
+STORAGE_DIR = '/var/lib/graphite'
+CONTENT_DIR = '/usr/share/graphite/webapp/content'
 
 # To further or fully customize the paths, modify the following. Note that the
 # default settings for each of these are relative to CONF_DIR and STORAGE_DIR
 #
 ## Webapp config files
-#DASHBOARD_CONF = '/opt/graphite/conf/dashboard.conf'
-#GRAPHTEMPLATES_CONF = '/opt/graphite/conf/graphTemplates.conf'
+#DASHBOARD_CONF = '/etc/graphite/dashboard.conf'
+#GRAPHTEMPLATES_CONF = '/etc/graphite/graphTemplates.conf'
 
 ## Data directories
 # NOTE: If any directory is unreadable in DATA_DIRS it will break metric browsing
@@ -77,6 +81,11 @@
 #DATA_DIRS = [WHISPER_DIR, RRD_DIR] # Default: set from the above variables
 #LOG_DIR = '/opt/graphite/storage/log/webapp'
 #INDEX_FILE = '/opt/graphite/storage/index'  # Search index file
+WHISPER_DIR = '/var/lib/carbon/whisper/'
+RRD_DIR = '/var/lib/carbon/rrd'
+DATA_DIRS = [WHISPER_DIR, RRD_DIR] # Default: set from the above variables
+LOG_DIR = '/var/log/graphite/'
+INDEX_FILE = '/var/lib/graphite/index'  # Search index file
 
 
 #####################################
Index: graphite-web-calamari/webapp/graphite/render/attime.py
===================================================================
--- graphite-web-calamari.orig/webapp/graphite/render/attime.py
+++ graphite-web-calamari/webapp/graphite/render/attime.py
@@ -16,11 +16,7 @@ from datetime import datetime,timedelta
 from time import daylight
 from django.utils.timezone import get_current_timezone
 
-try: # See if there is a system installation of pytz first
-  import pytz
-except ImportError: # Otherwise we fall back to Graphite's bundled version
-  from graphite.thirdparty import pytz
-
+import pytz
 
 months = ['jan','feb','mar','apr','may','jun','jul','aug','sep','oct','nov','dec']
 weekdays = ['sun','mon','tue','wed','thu','fri','sat']
Index: graphite-web-calamari/webapp/graphite/render/glyph.py
===================================================================
--- graphite-web-calamari.orig/webapp/graphite/render/glyph.py
+++ graphite-web-calamari/webapp/graphite/render/glyph.py
@@ -22,11 +22,7 @@ from django.utils.timezone import get_cu
 from graphite.render.datalib import TimeSeries
 from graphite.util import json
 
-
-try: # See if there is a system installation of pytz first
-  import pytz
-except ImportError: # Otherwise we fall back to Graphite's bundled version
-  from graphite.thirdparty import pytz
+import pytz
 
 INFINITY = float('inf')
 
Index: graphite-web-calamari/webapp/graphite/render/grammar.py
===================================================================
--- graphite-web-calamari.orig/webapp/graphite/render/grammar.py
+++ graphite-web-calamari/webapp/graphite/render/grammar.py
@@ -1,4 +1,4 @@
-from graphite.thirdparty.pyparsing import *
+from pyparsing import *
 
 ParserElement.enablePackrat()
 grammar = Forward()
Index: graphite-web-calamari/webapp/graphite/render/views.py
===================================================================
--- graphite-web-calamari.orig/webapp/graphite/render/views.py
+++ graphite-web-calamari/webapp/graphite/render/views.py
@@ -26,10 +26,7 @@ try:
 except ImportError:
   import pickle
 
-try:  # See if there is a system installation of pytz first
-  import pytz
-except ImportError:  # Otherwise we fall back to Graphite's bundled version
-  from graphite.thirdparty import pytz
+import pytz
 
 from graphite.util import getProfileByUsername, json, unpickle
 from graphite.remote_storage import HTTPConnectionWithTimeout
